Update a contact

PATCH/sms-api/contact/updateContact/{contactId}

Change any of a contact's details. Only the fields you send are changed.

Parameters

  • contactIdpathstringrequired

    Contact id.

  • first_namestringoptional

    At least 3 characters.

  • last_namestringoptional

    At least 3 characters.

  • phone_numberstringoptional

  • emailstringoptional

Errors

  • 404Contact not found

Request

curl -X PATCH "https://api.bulkclix.com/api/v1/sms-api/contact/updateContact/e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "phone_number": "0209876543"
}'

Response · 200

application/json
{
  "message": "Contact Updated Successfully",
  "data": {
    "id": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
    "first_name": "Ama",
    "last_name": "Mensah",
    "phone_number": "0209876543",
    "email": "ama@example.com"
  }
}